:root {
    /* Farbvariablen für die Wiederverwendbarkeit */
    --main-blue: rgba(0, 0, 255, 0.3);
    --highlight-color: #feda4a;
    --button-bg: rgba(0, 100, 0, 0.5);
    --button-hover-bg: transparent;
    --box-shadow: 0 4px 8px rgba(255, 255, 255, 0.7);
    --border-radius: 15px;
    --font-size-small: 0.7em;
    --font-size-medium: 0.9em;
    --font-size-large: 1.2em;
}








body {
    font-family: Arial, sans-serif;
}



/* Allgemeine Einstellungen für #welcome-screen und #login-screen */
#login-screen, #welcome-screen {
    position: absolute;
    background-color: var(--main-blue);
    box-shadow: var(--box-shadow);
    z-index: 1;
    opacity: 0.8;
    
    font-size: var(--font-size-small);
    height: 100%;
    width: 100%;
  }

  .login-anmeldung {
    position: absolute;
    top: 27vh;
    left: 20vw;
    font-size: 1.0em;
  }






/* Flexbox Zentrierung */
#login-screen {
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 255, 0.1);
    box-shadow: var(--box-shadow);
}

.scroll-container {
    width: 18vw;
    height: 60vh;
    overflow-y: auto;
    padding: 10px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
    border-radius: 15px;
  
    /* Firefox: Anpassung der Scrollbar */
    scrollbar-width: auto;  /* Scrollbalken normal breit */
    scrollbar-color: #32CD32 rgba(0, 0, 255, 0.3);
  }
  
  /* Webkit-Browser: Scrollbalken anpassen */
  .scroll-container::-webkit-scrollbar {
    width: 20px; /* Breiterer Scrollbalken */
    border-radius: 15px;
  }
  
  .scroll-container::-webkit-scrollbar-thumb {
    background-color: #32CD32; /* Limetten-Grün */
    border-radius: 15px; /* Abgerundete Ecken */
  }
  
  .scroll-container::-webkit-scrollbar-track {
    background-color: #000; /* Schwarzer Hintergrund für den Scrollbalken */
    border-radius: 15px; /* Abgerundete Ecken */
  }




.w-center-center {
    overflow-y: auto;
    /* Firefox: Anpassung der Scrollbar */
    scrollbar-width: auto;  /* Scrollbalken normal breit */
    scrollbar-color: #32CD32 #000; /* Limetten-Grün für Daumen und schwarz für Track */
  }
  
  /* Webkit-Browser: Scrollbalken anpassen */
  .w-center-center::-webkit-scrollbar {
    width: 20px; /* Breiterer Scrollbalken */
    border-radius: 15px;
  }
  
  .w-center-center::-webkit-scrollbar-thumb {
    background-color: #32CD32; /* Limetten-Grün */
    border-radius: 15px; /* Abgerundete Ecken */
  }
  
  .w-center-center::-webkit-scrollbar-track {
    background-color: #000; /* Schwarzer Hintergrund für den Scrollbalken */
    border-radius: 15px; /* Abgerundete Ecken */
  }

#login-screen {
    background-color: var(--main-blue);


  }

  

#welcome-screen {
    font-size: var(--font-size-medium);
}

/* Styles für die .logo-info */
.logo-info {
    padding-top: 5vh;
    font-size: var(--font-size-large);
    background-color: transparent;
    margin-top: 4%;
    border-radius: var(--border-radius);
    padding: 15px;
}

/* Styles für die Login-Buttons */
#login-button-welcome, #login-button {
    color: var(--highlight-color);
    background-color: var(--button-bg);
    box-shadow: 0 4px 30px rgba(0, 100, 0, 0.5);
    transition: all 0.3s ease;
    border: 1px solid limegreen;
    border-radius: 5px;
    padding: 12px;
    margin-top: 27px;
}

#login-button:hover {
    background: var(--button-hover-bg);
}

/* Media Queries für verschiedene Bildschirmgrößen */

/* Bis zu 480px (kleine Smartphones) */
@media (max-width: 480px) {


    #login-screen {
        width:100%;
    }

    .login-anmeldung {
        height: 34vh;
        position: absolute;
      }

      .w-center-center {
        margin: 45% 7% !important;
        overflow-y: auto;
        height: 400px;

        /* Firefox: Anpassung der Scrollbar */
        scrollbar-width: auto;  /* Scrollbalken normal breit */
        scrollbar-color: #32CD32 rgba(0, 0, 255, 0.3);
      }
      
      /* Webkit-Browser: Scrollbalken anpassen */
      .w-center-center::-webkit-scrollbar {
        width: 20px; /* Breiterer Scrollbalken */
        border-radius: 15px;
      }
      
      .w-center-center::-webkit-scrollbar-thumb {
        background-color: #32CD32; /* Limetten-Grün */
        border-radius: 15px; /* Abgerundete Ecken */
      }
      
      .w-center-center::-webkit-scrollbar-track {
        background-color: #000; /* Schwarzer Hintergrund für den Scrollbalken */
        border-radius: 15px; /* Abgerundete Ecken */
      }


}

/* Bis 768px (Handys und kleine Tablets) */
@media (max-width: 768px) {
    .w-center-center, #login-screen {
        font-size: 0.9em;
    }


    .w-center-center {
        margin: 165px;
    }

    #login-button-welcome {
        bottom: 8vh;
    }
}

/* Bis 768px (Handys und kleine Tablets) */
@media (min-width: 769px) {


    .w-center-center {
        margin: 165px;
    }

}
